<?php
/*
 Plugin Name: TouchCast
 Plugin URI: http://www.touchcast.com/wordpress
 Description: Embed TouchCast on posts/pages.More info at http://www.touchcast.com/wordpress
 Author: TouchCast
 Version: 1.0.1
 Author URI: http://www.touchcast.com/wordpress
*/

/**
 * Returns path to file.
 * @param $file the file which need to be find the path, $pluginname = touchcast-embed
 * @return path of the file.
 */
function touchcast_get_plugin_url( $file, $pluginname = 'touchcast-embed' ) {
    // check if plugins url function exists
    if ( function_exists( 'plugins_url' ) ) {
        return plugins_url( $file, __FILE__ );
    } elseif ( defined( 'WP_PLUGIN_URL' ) ) {
        return WP_PLUGIN_URL . '/' . $pluginname . $file;
    } else {
        // if not assumme it is default location.
        return '../../../wp-content/plugins/' . $pluginname . $file;
    }
}
// ui
include( 'ui/ui.php' );
// ui
include( 'admin/admin.php' );
?>