var touchcastPop = {
    init: function () {},

    insert: function () {
        if (false == touchcastPop.validateEmbededUrl(document.forms[0].touchcast_url.value)) {
            document.getElementById('error').style.display = 'block';
            return false;
        } else {
            var TOUCHCAST_ShortCode_Arr = [];
            // Insert the contents from the input into the document
            TOUCHCAST_ShortCode_Arr.push('[touchcast url="');
            TOUCHCAST_ShortCode_Arr.push(document.forms[0].touchcast_url.value);

            TOUCHCAST_ShortCode_Arr.push('" autoplay="');
            TOUCHCAST_ShortCode_Arr.push(document.forms[0].touchcast_autoplay.value);

            TOUCHCAST_ShortCode_Arr.push('" autoforward="');
            TOUCHCAST_ShortCode_Arr.push(document.forms[0].touchcast_autoforward.value);

            TOUCHCAST_ShortCode_Arr.push('" dimension="');
            TOUCHCAST_ShortCode_Arr.push(document.forms[0].touchcast_dimension.value);

            TOUCHCAST_ShortCode_Arr.push('"]');
            TOUCHCAST_ShortCode = TOUCHCAST_ShortCode_Arr.join("");
            tinyMCEPopup.editor.execCommand('mceInsertRawHTML', false, TOUCHCAST_ShortCode);
            tinyMCEPopup.close();
        }
    },
    validateEmbededUrl: function (url) {
        url = (url.indexOf('://') == -1) ? 'http://' + url : url;

        if (/^(https?|s?ftp):\/\/(((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(#((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/i.test(url)) {

            var match = url.match(/(?:https?:\/\/)?(?:www\.)?(.*?)\//);
            if (match[match.length - 1] == 'touchcast.com') {
                return true;
            } else {
                return false;
            }
        } else {
            return false;
        }
    }

};

tinyMCEPopup.onInit.add(touchcastPop.init, touchcastPop);